java.awt.print

## Interface PrinterGraphics

-     public interface PrinterGraphics

  The `PrinterGraphics` interface is implemented by `Graphics` objects that are passed to `Printable` objects to render a page. It allows an application to find the `PrinterJob` object that is controlling the printing.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `PrinterJob` | `getPrinterJob()` Returns the `PrinterJob` that is controlling the current rendering request.

- - ### Method Detail

    - #### getPrinterJob

          PrinterJob getPrinterJob()

      Returns the `PrinterJob` that is controlling the current rendering request.
      Returns:
        the `PrinterJob` controlling the current rendering request.
      See Also:
        `Printable`

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.